<script setup lang="ts">
import { storeToRefs } from 'pinia'
import _ from 'lodash'
import { useUIStore } from '~~/store/UI'
import { useZoomClientStore } from '~~/store/zoomClient'
import { useAccountStore } from '~~/store/account'

const router = useRouter()
const zoomClient = useZoomClientStore()
const ui = useUIStore()
const account = useAccountStore()
const { waitingRoom } = storeToRefs(ui)
const { full } = storeToRefs(account)
const model1 = ref(false)
const model = ref(false)
</script>

<template>
  <div
    v-if="(waitingRoom && full)" text-black flex flex-row justify-center
    v-bind="$attrs"
  >
    <button
      class="border rounded-lg bg-blue-500 text-white py-3 px-2 border-white mr-10 text-xl lt-sm:text-base text-center" hover="bg-blue-400"
      @click="model = true"
    >
      リハーサル配信開始
    </button>
    <button
      class="tooltipButton border rounded-lg text-white border-white bg-blue-500 py-3 px-2 text-xl lt-sm:text-base text-center after:text-sm" hover="bg-blue-400"
      @click="model1 = true"
    >
      本番配信開始
    </button>

    <AWarningModel
      v-if="model1"
      text="本番配信を開始すると、学生側に配信されます。"
      message="よろしいですか？"
      @close="model1 = false"
      @accept="zoomClient.startMeeting"
    />
    <AWarningModel
      v-if="model"
      text="リハーサル配信は、学生側に配信されません。"
      message="本番配信開始15分前までには、リハーサル配信を終了してください。よろしいですか？"
      @close="model = false"
      @accept="model = false"
    />
  </div>
</template>

<style scoped lang="scss">
.tooltipButton{
position: relative;
&::after {
    background-color: black;
    color: white;
    white-space: nowrap;
    padding: 0.7rem 1.5rem;
    position: absolute;
    left: 50%;
    bottom: 100%;
    transform: translateX(-30%);
    margin-bottom: 7px;
    -webkit-border-radius: 0.5rem;
    -moz-border-radius: 0.5rem;
    border-radius: 0.5rem;
    z-index: 1000;
  }

  &::before {
    position: absolute;
    bottom: 100%;
    margin-bottom: -7px;
    border: 7px solid transparent;
    border-top-color: black;
    z-index: 1000;
  }

  &:hover {
    &::after {
      content: '本番配信開始は15分前まで開始できません。';
    }

    &::before {
      content: '';

    }
  }
}
</style>

